@extends('admin.layouts.master')

@section('extra_css')
    <link rel="stylesheet" href="/assets/plugins/redactor/redactor.css"/>
@stop

@section('extra_js')
    <script src="/assets/plugins/redactor/plugins/imagemanager.js" data-cfasync='false'></script>
    <script src="/assets/plugins/redactor/redactor.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $('#description').redactor({
                imageUpload: '/admin/redactor',
                imageManagerJson: '/admin/redactor/images.json',
                plugins: ['imagemanager'],
                replaceDivs: false,
                convertDivs: false,
                uploadImageFields: {
                    _token: "{{csrf_token()}}"
                }
            });
        });
    </script>
@stop

@section('content')

    <h3 class="page-title">
        Pages
        <small>Manage Pages</small>
    </h3>

    <div class="page-bar">
        <ul class="page-breadcrumb">

            <li>
                <a href="/admin">Home</a>
                <i class="fa fa-angle-right"></i>
            </li>

            <li>
                <a href="/admin/pages">Pages</a>
                <i class="fa fa-angle-right"></i>
            </li>

            <li>
                <a href="/admin/pages/create">Create</a>
            </li>

        </ul>
    </div>


    <!-- END PAGE HEADER-->
    <!-- BEGIN PAGE CONTENT-->
    <div class="row">
        <div class="col-md-12">
            <!-- BEGIN PORTLET-->
            <div class="portlet box green-meadow">
                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-docs"></i>Create New Page
                    </div>
                    <div class="tools">
                        <a href="javascript:;" class="collapse">
                        </a>
                    </div>
                </div>

                <div class="portlet-body form">


                    <form action="/admin/pages/create" id="form-username" method="post"
                          class="form-horizontal form-bordered">

                        <div class="form-group">
                            <label class="col-sm-3 control-label"></label>

                            <div class="col-sm-4">
                                @include('admin.layouts.notify')
                            </div>
                        </div>

                        <input type="hidden" name="_token" value="{{csrf_token()}}"/>

                        <div class="form-group">
                            <label for="title" class="col-sm-3 control-label">Title</label>

                            <div class="col-sm-8">
                                <input id="title" class="form-control" type="text" name="title"
                                       placeholder="Enter title" value="{{old('title')}}"/>
                            </div>
                        </div>

                        {{--<div class="form-group">--}}

                        {{--<div class="col-md-offset-3 col-md-4">--}}
                        {{--<div class="checkbox">--}}
                        {{--<label>--}}
                        {{--<input name="show_in_menu" type="checkbox"> Show Page in Menu </label>--}}
                        {{--</div>--}}
                        {{--</div>--}}

                        {{--</div>--}}

                        <div class="form-group">

                            <div class="col-md-offset-3 col-md-4">
                                <div class="checkbox">
                                    <label>
                                        <input name="show_in_sidebar" type="checkbox"> Show Page in Sidebar </label>
                                </div>
                            </div>

                        </div>

                        <div class="form-group">

                            <div class="col-md-offset-3 col-md-4">
                                <div class="checkbox">
                                    <label>
                                        <input name="show_in_footer" type="checkbox"> Show Page in Footer </label>
                                </div>
                            </div>

                        </div>

                        <div class="form-group">
                            <label for="description" class="col-sm-3 control-label">Description</label>

                            <div class="col-sm-8">
                                <textarea id="description" class="form-control" name="description"
                                          placeholder="Enter description">{{old('description')}}</textarea>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="seo_keywords" class="col-sm-3 control-label">SEO Keywords</label>

                            <div class="col-sm-8">
                                <textarea id="seo_keywords" class="form-control" name="seo_keywords"
                                          placeholder="Enter SEO Keywords">{{old('seo_keywords')}}</textarea>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="seo_description" class="col-sm-3 control-label">SEO Description</label>

                            <div class="col-sm-8">
                                <textarea id="seo_description" class="form-control" name="seo_description"
                                          placeholder="Enter SEO Description">{{old('seo_description')}}</textarea>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="author" class="col-sm-3 control-label">Posted By</label>

                            <div class="col-sm-8">
                                <select id="author" class="form-control" name="author">
                                    @foreach($admins as $admin)
                                        <option value="{{$admin->id}}"
                                                class="label label-info">{{$admin->name}}</option>
                                    @endforeach
                                </select>
                            </div>

                        </div>

                        <div class="form-group">
                            <label for="status" class="col-sm-3 control-label">Status</label>

                            <div class="col-sm-8">
                                <select id="status" class="form-control" name="status">
                                    <option value="{{\App\Posts::STATUS_PUBLISHED}}">Published</option>
                                    <option value="{{\App\Posts::STATUS_HIDDEN}}">Hidden</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-actions">
                            <div class="row">
                                <div class="col-md-offset-3 col-md-9">
                                    <button type="submit" class="btn purple"><i class="fa fa-check"></i> Save</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <!-- END PORTLET-->
        </div>
    </div>
@stop